Bug 134952 - [patch] security/p5-Net-SSLeay build shouldn't need interaction
Summary: [patch] security/p5-Net-SSLeay build shouldn't need interaction
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-26 10:20 UTC by emikulic
Modified: 2009-08-24 14:00 UTC (History)
0 users

See Also:


Attachments
file.diff (505 bytes, patch)
2009-05-26 10:20 UTC, emikulic
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description emikulic 2009-05-26 10:20:01 UTC
security/p5-Net-SSLeay prompts the user:

  Do you want to run external tests?
  These tests *will* *fail* if you do not have network connectivity. [n]

It waits for input, which sucks for unattended builds.

Fix: How about adding the following patch to
/usr/ports/security/p5-Net-SSLeay/files

It short-circuits the prompt into the negative (default) response.
How-To-Repeat: 
cd /usr/ports/security/p5-Net-SSLeay
make
Comment 1 Edwin Groothuis freebsd_committer 2009-05-26 10:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philippe Audeoud freebsd_committer 2009-08-16 16:03:53 UTC
Responsible Changed
From-To: perl->jadawin

I'll take it.
Comment 3 dfilter service freebsd_committer 2009-08-24 13:55:57 UTC
jadawin     2009-08-24 12:55:48 UTC

  FreeBSD ports repository

  Added files:
    security/p5-Net-SSLeay/files patch-SSLeay.pm 
  Log:
  - No more interactive during installation
  
  PR:             ports/134952
  Submitted by:   Emil Mikulic <emikulic gmail.com>
  
  Revision  Changes    Path
  1.1       +11 -0     ports/security/p5-Net-SSLeay/files/patch-SSLeay.pm (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philippe Audeoud freebsd_committer 2009-08-24 13:56:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!